SERVICE_NAME = web
VERSION_TAG ?= latest
ifdef DOCKER_REGISTRY
	IMAGE_TAG=$(DOCKER_REGISTRY)/$(SERVICE_NAME):$(VERSION_TAG)
else
	IMAGE_TAG=$(SERVICE_NAME):$(VERSION_TAG)
endif

all: build

upgrade:
	npm upgrade

build:
	npm i
	npm run build
	npm run lint:fix

test:
	npm test

install:
	docker build --build-arg SERVICE_NAME=$(SERVICE_NAME) -t $(IMAGE_TAG) -f Dockerfile ../../

clean:
	npm run clean
	rm -Rf node_modules
